(function( $ ) {
	'use strict';

	/**
	 * All of the code for your admin-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	

	jQuery(document).ready(function($){	
		  
		//colorpicker js
		jQuery('.wp-color-picker').wpColorPicker();
		
		//form validation
 
		$(document).on("click",".wc_form_submit",function() { 
			jQuery('#mobno_err').text("");
			jQuery('#chat_err').text("");
			var mob_no = $('.wc_mobile_no').val();
			var group_id = $('.wc_chat_id').val();
			var  err = 0;
			if(mob_no == '' ||  mob_no == undefined){
				jQuery('#mobno_err').text("Please enter mobile number");
				jQuery('#mobno_err').css('color', '#de1010'); 
				err = 1;
			}
			if(group_id == '' && group_id == undefined){
				jQuery('#chat_err').text("Please enter group Id ");
				jQuery('#chat_err').css('color', '#de1010'); 
				err = 1;				
			}
			if(group_id == '' && mob_no != ''){				
				err = 0;				
			}
			if(group_id != '' && mob_no == ''){				
				err = 0;				
			}
			
			if(	err == 1){				
				event.preventDefault();	
			}			
		});	
   	
		//tinymce js
		tinymce.PluginManager.add('Whatsapp_chitchat', function(editor, url) {
			editor.addButton('Whatsapp_chitchat', {
				text: 'WhatsApp',
				icon:'custom-mce-icon',
						
				onclick: function() {
					editor.windowManager.open({
						title: 'Whatsapp Chitchat',
						body: [{
							type: 'listbox',
							name: 'wc_icon_tiny_size',
							label: 'Icon Size',
							values: [{
								text: 'Small',
								value: 'small'
							}, {
								text: 'Medium',
								value: 'medium'
							}, {
								text: 'Large',
								value: 'large'
							}]
						}],
						onsubmit: function(e) {
							editor.insertContent(
								'[WhatsApp-ChitChat  size="' +
								e.data.wc_icon_tiny_size +
								'"]' 
							);
						}
					});
				}
			}); 
			editor.addButton('Whatsapp_share', {
				text: 'WhatsApp Share',
				icon:'custom-mce-share-icon',
				onclick: function(e) {
							editor.insertContent(
								'[WhatsApp-Share]' 
							);
						}
			});
		});	
			
	});
})( jQuery );
