<?php
register_widget( 'whatsappchitchat_widget' );

// Creating the widget 
	class whatsappchitchat_widget extends WP_Widget{
		function __construct()
		{   parent::__construct(	
				'whatsappchitchat_widget', 		
				esc_html__('Web WhatsApp ChitChat', 'whatsappchitchat'),
				array( 'description' => esc_html__( 'Add Whatsapp Chitchat Button', 'whatsappchitchat' ), ) 
				);
		} 
		// Creating widget front-end
		public function widget( $args, $instance )
		{   
			$title=$wc_widget_mobile_no=$wc_widget_message=$wc_widget_icon_size=$wc_widget_bg_color=$wc_widget_bdr_color=$wc_widget_tooltip_message='';
			$title= $instance[ 'title' ]; 
		   $wc_widget_mobile_no=$instance[ 'wc_widget_mobile_no' ];		
		   $wc_widget_message = $instance['wc_widget_message'];		
		   $wc_widget_icon_size = $instance['wc_widget_icon_size'];		
		   $wc_widget_bg_color = $instance['wc_widget_bg_color'];		
		   $wc_widget_bdr_color = $instance['wc_widget_bdr_color'];		
		   $wc_widget_bdr_hvrcolor = $instance['wc_widget_bdr_hvrcolor'];		
		   $wc_widget_tooltip_message = $instance['wc_widget_tooltip_message'];	
		    
		   echo $args['before_widget'];
		   echo $args['before_title'].esc_html($title).$args['after_title'];
 
		   if ( ! empty( $wc_widget_mobile_no ) ){ 
		   echo '<div class="wc_public_wrapper wc_widget">
			<p id="wc_tooltip">';
			$wcUrl = 'https://api.whatsapp.com/send?phone='.$wc_widget_mobile_no.'&text='.$wc_widget_message;
			if(!empty($wc_widget_icon_size)){
				
				echo '<a href="'.esc_url($wcUrl).'" class="wc_icon_display wc_widget_icon wc_'.esc_attr($wc_widget_icon_size).'" target="_blank" style="background-color:'.esc_attr($wc_widget_bg_color).';border-color:'.esc_attr($wc_widget_bdr_color).'">';
			}else{				 
				echo '<a href="'.esc_url($wcUrl).'" class="wc_icon_display wc_widget_icon wc_medium" target="_blank" style="background-color:'.esc_attr($wc_widget_bg_color).';border-color:'.esc_attr($wc_widget_bdr_color).'">';
			} 
			echo '<i class="fa fa-whatsapp" aria-hidden="true"></i><span>'.esc_html($wc_widget_tooltip_message).'</span></a>
			<input type="hidden" id="wc_widget_hvr_color" value="'.esc_attr($wc_widget_bdr_hvrcolor).'">
			<input type="hidden" id="wc_widget_bdr_color" value="'.esc_attr($wc_widget_bdr_color).'">
			</p>
			</div>';
			 
		  } 
		   echo $args['after_widget'];
		}				
		// Widget Backend 
		public function form( $instance )
		{
			$title=$wc_widget_mobile_no=$wc_widget_message=$wc_widget_icon_size=$wc_widget_bg_color=$wc_widget_bdr_color=$wc_widget_tooltip_message=$wc_widget_bdr_hvrcolor=''; 
		   
			if(isset( $instance[ 'title' ]))
		    { 
				$title = $instance['title'];
		    }
			if(isset( $instance[ 'wc_widget_mobile_no' ]))
		    { 
				$wc_widget_mobile_no = $instance['wc_widget_mobile_no'];
		    }
			if(isset( $instance[ 'wc_widget_message' ]))
		    { 
				$wc_widget_message = $instance['wc_widget_message'];
		    }else{
				$wc_widget_message='I Have Doubts!';
			}
			if(isset( $instance[ 'wc_widget_tooltip_message' ]))
		    { 
				$wc_widget_tooltip_message = $instance['wc_widget_tooltip_message'];
		    }else{
				$wc_widget_tooltip_message='How can we help you! just message us.';
			}
			if(isset( $instance[ 'wc_widget_icon_size' ]))
		    { 
				$wc_widget_icon_size = $instance['wc_widget_icon_size'];
		    }
			if(isset( $instance[ 'wc_widget_bg_color' ]))
		    { 
				$wc_widget_bg_color = $instance['wc_widget_bg_color'];
		    }
			if(isset( $instance[ 'wc_widget_bdr_color' ]))
		    { 
				$wc_widget_bdr_color = $instance['wc_widget_bdr_color'];
		    }
			if(isset( $instance[ 'wc_widget_bdr_hvrcolor' ]))
		    { 
				$wc_widget_bdr_hvrcolor = $instance['wc_widget_bdr_hvrcolor'];
		    }
 
		    ?> 
		    <p> 
				<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php esc_html_e( 'Title:','whatsappchitchat' ); ?></label> 
				<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" placeholder="<?php echo esc_attr('Title','whatsappchitchat'); ?>" />
	     	</p> 
			<p>
				<label for="<?php echo $this->get_field_id( 'wc_widget_mobile_no' ); ?>"><?php esc_html_e( 'Mobile No:','whatsappchitchat' ); ?></label> 
				<input class="widefat" id="<?php echo $this->get_field_id( 'wc_widget_mobile_no' ); ?>" name="<?php echo $this->get_field_name( 'wc_widget_mobile_no' ); ?>" type="text" value="<?php echo esc_attr( $wc_widget_mobile_no ); ?>" placeholder="<?php echo esc_attr('Mobile No. With Country Code ','whatsappchitchat'); ?>" />
	     	</p>
			<p>
			   <label for="<?php echo $this->get_field_id( 'wc_widget_message' ); ?>"><?php esc_html_e( 'Message:','whatsappchitchat'); ?></label> 
			   <textarea class="widefat" id="<?php echo $this->get_field_id('wc_widget_message'); ?>" name="<?php echo $this->get_field_name('wc_widget_message'); ?>"  placeholder="<?php echo esc_attr('WhatsApp Message ','whatsappchitchat'); ?>"><?php echo esc_attr($wc_widget_message); ?></textarea>
		    </p>	
			<p>
			   <label for="<?php echo $this->get_field_id( 'wc_widget_tooltip_message' ); ?>"><?php esc_html_e( 'Tooltip Message:' ); ?></label> 
			   <textarea class="widefat" id="<?php echo $this->get_field_id('wc_widget_tooltip_message'); ?>" name="<?php echo $this->get_field_name('wc_widget_tooltip_message'); ?>" placeholder="<?php echo esc_attr('Tooltip Message','whatsappchitchat'); ?>"><?php echo esc_attr($wc_widget_tooltip_message); ?></textarea> 
		    </p> 
			<p>
				<label for="<?php echo $this->get_field_id( 'wc_widget_icon_size' ); ?>"><?php esc_html_e( 'Icon Size:','whatsappchitchat' ); ?></label>				
				<select name="<?php echo $this->get_field_name('wc_widget_icon_size');?> ">
					<option value="None" <?php echo ($wc_widget_icon_size=='None')?'selected' : '';?> ><?php esc_html_e( 'None','whatsappchitchat' ); ?></option>
					<option value="large" <?php echo ($wc_widget_icon_size=='large')?'selected' : '';?> ><?php esc_html_e( 'Large','whatsappchitchat' ); ?></option>
					<option value="medium" <?php echo ($wc_widget_icon_size=='medium')?'selected':'';?>><?php esc_html_e( 'Medium','whatsappchitchat' ); ?> </option>
					<option value="small" <?php echo ($wc_widget_icon_size=='small')?'selected':'';?>><?php esc_html_e( 'Small','whatsappchitchat' ); ?> </option>
				</select>
					
			</p> 
		    <p>
				<label for="<?php echo $this->get_field_id( 'wc_widget_bg_color' ); ?>"><?php esc_html_e( 'Background Color:','whatsappchitchat' ); ?></label>
				<input type="text" value="<?php echo esc_attr($wc_widget_bg_color);?>" name="<?php echo $this->get_field_name('wc_widget_bg_color'); ?>" class="wp-color-picker"/> 
		    </p>
			 <p> 
				<label for="<?php echo $this->get_field_id( 'wc_widget_bdr_color' ); ?>"><?php esc_html_e( 'Border Color:','whatsappchitchat' ); ?></label>
				<input type="text" value="<?php echo esc_attr($wc_widget_bdr_color);?>" name="<?php echo $this->get_field_name('wc_widget_bdr_color'); ?>" class="wp-color-picker"/>
		    </p>
			<p>
				<label for="<?php echo $this->get_field_id( 'wc_widget_bdr_hvrcolor' ); ?>"><?php esc_html_e( 'Border Hover Color:','whatsappchitchat' ); ?></label>
				<input type="text" value="<?php echo esc_attr($wc_widget_bdr_hvrcolor);?>" name="<?php echo $this->get_field_name('wc_widget_bdr_hvrcolor'); ?>" class="wp-color-picker"/>
		    </p>
			
		   
		<?php 
		}	
		// Updating widget replacing old instances with new
		public function update($new_instance, $old_instance)
		{   $instance = array();
			$instance['title'] = (!empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
			$instance['wc_widget_mobile_no'] = (!empty( $new_instance['wc_widget_mobile_no'] ) ) ? strip_tags( $new_instance['wc_widget_mobile_no'] ) : '';
			$instance['wc_widget_message'] = (!empty( $new_instance['wc_widget_message'] ) ) ? strip_tags( $new_instance['wc_widget_message'] ) : '';			
			$instance['wc_widget_icon_size'] = (!empty( $new_instance['wc_widget_icon_size'] ) ) ?  strip_tags($new_instance['wc_widget_icon_size']): '';				
			$instance['wc_widget_bg_color'] = (!empty( $new_instance['wc_widget_bg_color'] ) ) ?  strip_tags($new_instance['wc_widget_bg_color']): '';
			$instance['wc_widget_bdr_color'] = (!empty( $new_instance['wc_widget_bdr_color'] ) ) ?  strip_tags($new_instance['wc_widget_bdr_color']): '';
			$instance['wc_widget_bdr_hvrcolor'] = (!empty( $new_instance['wc_widget_bdr_hvrcolor'] ) ) ?  strip_tags($new_instance['wc_widget_bdr_hvrcolor']): '';
			$instance['wc_widget_tooltip_message'] = (!empty( $new_instance['wc_widget_tooltip_message'] ) ) ?  strip_tags($new_instance['wc_widget_tooltip_message']): '';
 
			return $instance; 
		} 
	}