<?php

/**
 * Define the internationalization functionality
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @link       http://kamleshyadav.com/
 * @since      1.0.0
 *
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/includes
 */

/**
 * Define the internationalization functionality.
 *
 * Loads and defines the internationalization files for this plugin
 * so that it is ready for translation.
 *
 * @since      1.0.0
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/includes
 * @author     Kamlesh Yadav <support@himanshusofttech.com>
 */
class Whatsappchitchat_i18n {


	/**
	 * Load the plugin text domain for translation.
	 *
	 * @since    1.0.0
	 */
	public function load_plugin_textdomain() {

		load_plugin_textdomain(
			'whatsappchitchat',
			false,
			dirname( dirname( plugin_basename( __FILE__ ) ) ) . '/languages/'
		);

	}



}
