(function( $ ) {
	'use strict';

	/**
	 * All of the code for your public-facing JavaScript source
	 * should reside in this file.
	 *
	 * Note: It has been assumed you will write jQuery code here, so the
	 * $ function reference has been prepared for usage within the scope
	 * of this function.
	 *
	 * This enables you to define handlers, for when the DOM is ready:
	 *
	 * $(function() {
	 *
	 * });
	 *
	 * When the window is loaded:
	 *
	 * $( window ).load(function() {
	 *
	 * });
	 *
	 * ...and/or other possibilities.
	 *
	 * Ideally, it is not considered best practise to attach more than a
	 * single DOM-ready or window-load handler for a particular page.
	 * Although scripts in the WordPress core, Plugins and Themes may be
	 * practising this, we should strive to set a better example in our own work.
	 */
	 
	 jQuery(document).ready(function($){
		 
 
		$('.wc_icon_display').hover(function() { 
			 var hvr_color = $('#wc_main_hvr_color').val();
			 $( this ).css('border-color', hvr_color); 
			}, function() {
				var bdr_color = $('#wc_main_bdr_color').val(); 
				$( this ).css('border-color', bdr_color);
		});	
 
		$('.wc_widget_icon').hover(function() {
			 var whvr_color = $('#wc_widget_hvr_color').val();
			 $( this ).css('border-color', whvr_color); 
			}, function() {
				var wbdr_color = $('#wc_widget_bdr_color').val(); 
				$( this ).css('border-color', wbdr_color);
		});	
		$('.wc_share_icon_display').hover(function() {
			 var whvr_color = $('#wc_share_hvr_color').val();
			 $( this ).css('color', whvr_color); 
			}, function() { 
				var wbdr_color = $('#wc_share_bdr_color').val(); 
				$( this ).css('color', wbdr_color);
		});		
  
		 
	}); 
	 
})( jQuery );
