<?php

/**
 * Provide a public-facing view for the plugin
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       http://kamleshyadav.com/
 * @since      1.0.0
 *
 * @package    Whatsappchitchat
 * @subpackage Whatsappchitchat/public/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->
<?php
$option_values = get_option( 'whatsapp_options' );
$wc_onoff =$wc_mobile_onoff= $wc_mobile_no =$wc_message=$wc_tooltip_message=$wc_chat_id=$wc_icon_position=$wc_icon_size='';
if( $option_values ) {
    $wc_onoff = $option_values['wc_onoff'] ? $option_values['wc_onoff'] : '';
	$wc_mobile_onoff = isset($option_values['wc_mobile_onoff']) ? $option_values['wc_mobile_onoff'] : '';
    $wc_mobile_no = isset($option_values['wc_mobile_no']) ? $option_values['wc_mobile_no'] : '';
    $wc_chat_id = isset($option_values['wc_chat_id']) ? $option_values['wc_chat_id'] : '';
    $wc_bg_color = isset($option_values['wc_bg_color']) ? $option_values['wc_bg_color'] : '';
    $wc_hvr_color = isset($option_values['wc_hvr_color']) ? $option_values['wc_hvr_color'] : '';
    $wc_bdr_color = isset($option_values['wc_bdr_color']) ? $option_values['wc_bdr_color'] : '';
    $wc_message = isset($option_values['wc_message']) ? $option_values['wc_message'] : '';
	$wc_tooltip_message = isset($option_values['wc_tooltip_message']) ? $option_values['wc_tooltip_message'] : '';
	$wc_icon_size = isset($option_values['wc_icon_size']) ? $option_values['wc_icon_size'] : '';
	$wc_icon_position = isset($option_values['wc_icon_position']) ? $option_values['wc_icon_position'] : '';
}

if(empty($wc_message)){
	$wc_message='I Have Doubts!';
}
if(empty($wc_tooltip_message)){
	$wc_tooltip_message='How can we help you! just message us.';
}

if($wc_mobile_onoff=='yes'){
	if(!preg_match('/(alcatel|amoi|android|avantgo|blackberry|benq|cell|cricket|docomo|elaine|htc|iemobile|iphone|ipad|ipaq|ipod|j2me|java|midp|mini|mmp|mobi|motorola|nec-|nokia|palm|panasonic|philips|phone|sagem|sharp|sie-|smartphone|sony|symbian|t-mobile|telus|up\.browser|up\.link|vodafone|wap|webos|wireless|xda|xoom|zte)/i', $_SERVER['HTTP_USER_AGENT'])){
		$mobile_view='none !important';
	}else{ 
		$mobile_view='inline-block !important';
	}
	}else{
		$mobile_view ='inline-block !important';
	} 
	 
	if($wc_onoff=='on' && !empty($wc_mobile_no)){
		echo '<div class="wc_public_wrapper wc_tool_text">
			<p id="wc_tooltip">';
			$wcUrlIcon = 'https://api.whatsapp.com/send?phone='.$wc_mobile_no.'&text='.$wc_message;
			if(!empty($wc_icon_size) || !empty($wc_icon_position)){
				echo '<a href="'.esc_url($wcUrlIcon).'" class="wc_icon_display wc_'.esc_attr($wc_icon_size).' wc_'.esc_attr($wc_icon_position).'" tooltip="'.esc_attr($wc_tooltip_message).'" target="_blank" style="background-color:'.esc_attr($wc_bg_color).';border-color:'.esc_attr($wc_bdr_color).';display:'.esc_attr($mobile_view).';">';
			}else{
				echo '<a href="'.esc_url($wcUrlIcon).'" class="wc_icon_display wc_medium wc_bottom_left" tooltip="'.esc_attr($wc_tooltip_message).'" target="_blank" style="background-color:'.esc_attr($wc_bg_color).';border-color:'.esc_attr($wc_bdr_color).';display:'.esc_attr($mobile_view).';">';
			}
		echo '<i class="fa fa-whatsapp" aria-hidden="true"></i></a>
		<input type="hidden" id="wc_main_hvr_color" value="'.esc_attr($wc_hvr_color).'">
			<input type="hidden" id="wc_main_bdr_color" value="'.esc_attr($wc_bdr_color).'">
		</p>
		</div>';
	}else if($wc_onoff=='on' && !empty($wc_chat_id)){
		echo '<div class="wc_public_wrapper wc_tool_text">
		<p id="wc_tooltip">';
		$wcGUrl = 'https://chat.whatsapp.com/invite/'.$wc_chat_id;
		if(!empty($wc_icon_size) || !empty($wc_icon_position)){ 
			echo '<a href="'.esc_url($wcGUrl).'" class="wc_icon_display wc_'.esc_attr($wc_icon_size).' wc_'.esc_attr($wc_icon_position).'" tooltip="'.esc_attr($wc_tooltip_message).'" target="_blank" style="background-color:'.esc_attr($wc_bg_color).';border-color:'.esc_attr($wc_bdr_color).';display:'.esc_attr($mobile_view).';">';
		}else{
			echo '<a href="'.esc_url($wcGUrl).'" class="wc_icon_display wc_medium wc_bottom_left" target="_blank" style="background-color:'.esc_attr($wc_bg_color).';display:'.esc_attr($mobile_view).'">';
		} 
		echo '<i class="fa fa-whatsapp" aria-hidden="true"></i></a>
			<input type="hidden" id="wc_main_hvr_color" value="'.esc_attr($wc_hvr_color).'">
			<input type="hidden" id="wc_main_bdr_color" value="'.esc_attr($wc_bdr_color).'">
		
		</p>
	</div>';
	} 
?>  